## GnomeDbCanvasItem

GnomeDbCanvasItem — Base class for all the GnomeCanvasItem derived widgets in libgnomedb.

## Synopsis

                GnomeDbCanvasItem;
    GType       gnome_db_canvas_item_get_type   (void);
    GnomeDbCanvas* gnome_db_canvas_item_get_canvas
                                                (GnomeDbCanvasItem *item);
    GnomeDbGraphItem* gnome_db_canvas_item_get_graph_item
                                                (GnomeDbCanvasItem *item);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----GnomeDbCanvasItem
                               +----GnomeDbCanvasCursor
                               +----GnomeDbCanvasText
                               +----GnomeDbCanvasEntity
                               +----GnomeDbCanvasJoin

## Properties

      "allow-drag"           gboolean              : Read / Write
      "allow-move"           gboolean              : Read / Write
      "graph-item"           gpointer              : Read / Write
      "tip-text"             gchararray            : Read / Write

## Signals

    "drag-action"
                void        user_function      (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer arg1,
                                                gpointer arg2,
                                                gpointer user_data);
    "moved"     void        user_function      (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer user_data);
    "moving"    void        user_function      (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer user_data);
    "shifted"   void        user_function      (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer user_data);

## Description

This object adds some functionnalities on top of the GnomeCanvasItem objects such as synchronisation with a GnomeDbGraphItem object (to have a persistent position on the canvas), the ability to be moved on the canvas, and the ability to initiate and report simple drag and drop within the canvas.

## Details

### GnomeDbCanvasItem

    typedef struct _GnomeDbCanvasItem GnomeDbCanvasItem;

### gnome_db_canvas_item_get_type ()

    GType       gnome_db_canvas_item_get_type   (void);

Returns : |

### gnome_db_canvas_item_get_canvas ()

    GnomeDbCanvas* gnome_db_canvas_item_get_canvas
                                                (GnomeDbCanvasItem *item);

Get the GnomeDbCanvas on which `item` is drawn

`item` : | a GnomeDbCanvasItem object
Returns : | the GnomeDbCanvas widget

### gnome_db_canvas_item_get_graph_item ()

    GnomeDbGraphItem* gnome_db_canvas_item_get_graph_item
                                                (GnomeDbCanvasItem *item);

Get the associated GnomeDbGraphItem to `item`.

`item` : | a GnomeDbCanvasItem object
Returns : | the GnomeDbGraphItem, or `NULL`

## Property Details

### The "`allow-drag`" property

      "allow-drag"           gboolean              : Read / Write

Default value: FALSE

### The "`allow-move`" property

      "allow-move"           gboolean              : Read / Write

Default value: TRUE

### The "`graph-item`" property

      "graph-item"           gpointer              : Read / Write

### The "`tip-text`" property

      "tip-text"             gchararray            : Read / Write

Default value: NULL

## Signal Details

### The "drag-action" signal

    void        user_function                  (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer arg1,
                                                gpointer arg2,
                                                gpointer user_data);

`dbcanvasitem` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The "moved" signal

    void        user_function                  (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer user_data);

`dbcanvasitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "moving" signal

    void        user_function                  (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer user_data);

`dbcanvasitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "shifted" signal

    void        user_function                  (GnomeDbCanvasItem *dbcanvasitem,
                                                gpointer user_data);

`dbcanvasitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.